<ion-header class="login-header">
  <ion-row>
    <div class="logo"><img src="assets/imgs/logo.png"></div>
  </ion-row>
</ion-header>

<ion-content class="login-content" id="translated_section">
  <ion-row class="login-form-row">
    <ion-list>
      <div style="width: 100%;height: 20px;"></div>
      <ion-item>
        <ion-input type="text" name="email" [(ngModel)]="email" placeholder="{{translate.loginPage[0][translate.selectedlanguage]}}"></ion-input>
        <ion-icon ios="ios-mail" md="md-mail" item-right class="input-icon"></ion-icon>
      </ion-item>
      <small class="error_email" *ngIf="invalidEmail">{{translate.loginPage[1][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
      <div style="width: 100%;height: 20px;"></div>
      <ion-item>
          <ion-input type="{{displayPassword ? 'password' : 'text'}}" name="password" [(ngModel)]="password" placeholder="{{translate.loginPage[2][translate.selectedlanguage]}}"></ion-input>
          <ion-icon ios="ios-eye-off" md="md-eye-off" item-right class="input-icon" (click)="viewPassword()" *ngIf="displayPassword"></ion-icon>
          <ion-icon ios="ios-eye" md="md-eye" item-right class="input-icon" (click)="viewPassword()" *ngIf="hidePassword"></ion-icon>
      </ion-item>
      <small class="error_password" *ngIf="invalidPassword">{{translate.loginPage[3][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
      <div style="width: 100%;height: 20px;"></div>
      <ion-item style="margin-top:5%;">
        <ion-row>
          <ion-col col-6 class="form-buttons">
            <button ion-button class="reset-button" (click)="register()">{{translate.loginPage[4][translate.selectedlanguage]}}</button>
          </ion-col>
          <ion-col col-6 class="form-buttons">
            <button ion-button class="login-button" (click)="login()">{{translate.loginPage[5][translate.selectedlanguage]}}</button>
          </ion-col>
        </ion-row>
      </ion-item>
    </ion-list>
    <p class="forgot-password" (click)="forgot()">{{translate.loginPage[6][translate.selectedlanguage]}} ?</p>
  </ion-row>
</ion-content>
